#$Id: qpage.spec Exp $

Summary: A free but non-GPL package providing an SNPP client and server.
Name: qpage
Version: 3.3
Release: 1
Epoch: 1
License: Proprietary
Group: System Environment/Daemons
Source0: http://www.qpage.org/download/%{name}-%{version}.tar.Z
Patch: qpage.patch
URL: http://www.qpage.org/
BuildRequires: patch, lockdev-devel
Requires: lockdev
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
This package provides qpage and qpaged.
qpaged is a free non-GPL SNPP server for sending alphanumeric pages.
The SNPP server queues pages and services the queue, delivering
pages by direct dialing via modem to paging terminals (TAP protocol).

qpage is a free non-GPL SNPP client for sending alphanumeric pages.

%prep

%setup

%patch -p1 -b .orig

%build
./configure -q
make
mv qpage qpaged
make clean
make client

%install
# Make directories where we install things
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}/var/spool/qpage

install -m755 $RPM_BUILD_DIR/%{name}-%{version}/qpaged %{buildroot}%{_sbindir}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/qpage %{buildroot}%{_bindir}

install -m755 $RPM_BUILD_DIR/%{name}-%{version}/init.d.qpaged %{buildroot}/etc/rc.d/init.d/qpaged

install -m644 $RPM_BUILD_DIR/%{name}-%{version}/example.cf %{buildroot}/etc/qpage.cf

install -m644 $RPM_BUILD_DIR/%{name}-%{version}/CHANGES %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/CREDITS %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/DO-NOT-READ %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/HISTORY %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/INSTALL %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/LICENSE %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/README %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/TODO %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/TROUBLESHOOT %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/qpage.ps %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/ixo-tap.txt %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/rfc1861.txt %{buildroot}%{_docdir}/%{name}-%{version}
install -m644 $RPM_BUILD_DIR/%{name}-%{version}/qpage.man %{buildroot}%{_mandir}/man8/qpage.8

%post
#add qpage user
#make qpage a member of uucp group to enable modem rw permission
#make qpage a member of lock group to enable lock dir permission
export QPAGEUSER=qpage
if cat /etc/passwd | grep $QPAGEUSER > /dev/null ; then 
    echo "$QPAGEUSER exists."
else
    useradd -r -s /bin/false -G uucp,lock $QPAGEUSER && echo "Account $QPAGEUSER added."
fi

# set permission on queue directory
chown qpage: /var/spool/qpage

%preun
service qpaged stop
chkconfig --del qpaged
 
%postun
export QPAGEUSER=qpage
userdel $QPAGEUSER && echo "Account $QPAGEUSER removed."

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-,root,root)
%{_sbindir}
%{_bindir}
/etc/rc.d/init.d/
%config /etc/qpage.cf
%doc %{_docdir}/%{name}-%{version}/
%{_mandir}/man8/qpage.8*
%dir /var/spool/qpage

%changelog
* Sun Dec 15 2002 Christopher Johnson <ckjohnson@gwi.net>
- first spec file.

